UpdateCollection
Updates an existing collection. If the collection already exists, it will first delete the old collection and its collaborators,
and then create a new collection with the provided details.
put
Authorizations
AuthorizationstringRequired
Enter 'Bearer' followed by your JWT token
Body
collectionIdinteger · int32 · nullableOptional
collectionNamestring · min: 1Required
isFavouritebooleanOptional
rowLevelCollectionIdstring · nullableOptional
workspaceIdstring[]Required
workspaceNamestring[]Required
reportIdstring[]Required
reportNamestring[]Required
pageIdstring[]Required
createdBystring · min: 1Required
lastUpdatedBystring · nullableOptional
pageNamestring[]Required
createdDatestring · min: 1Required
lastUpdatedDatestring · nullableOptional
userActionsFlagboolean[]Required
userActionsstring[] · nullableOptional
isRLSboolean[]Required
datasetIdstring[] · nullableOptional
roleNamestring[] · nullableOptional
roleValuestring[] · nullableOptional
collaboratorEmailstring[]Required
collaboratorAccessstring[]Required
Responses
200
Success: The collection was successfully updated.
No content
400
Bad Request: The input model is invalid or missing required data.
500
Internal Server Error: An unexpected error occurred while updating the collection.
put
/Collections/UpdateCollectionNo content